/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package beans;

import entities.DepositoTarjetaDebito;
import java.util.List;
import javax.ejb.Local;

/**
 *
 * @author ryuuji
 */
@Local
public interface DepositoTarjetaDebitoFacadeLocal {

  void create(DepositoTarjetaDebito depositoTarjetaDebito);

  void edit(DepositoTarjetaDebito depositoTarjetaDebito);

  void remove(DepositoTarjetaDebito depositoTarjetaDebito);

  DepositoTarjetaDebito find(Object id);

  List<DepositoTarjetaDebito> findAll();

  List<DepositoTarjetaDebito> findRange(int[] range);

  int count();
  
}
